Bug 1859866 - No "plug-ins" in Fedora nomacs package ! Can you add them ?
Summary: No "plug-ins" in Fedora nomacs package ! Can you add them ?
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: nomacs
Version: 32
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Eugene A. Pivnev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-23 08:17 UTC by yousifjkadom@yahoo.com
Modified: 2021-05-25 16:35 UTC (History)
1 user (show)

Fixed In Version: nomacs-3.16-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-05-25 16:35:03 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description yousifjkadom@yahoo.com 2020-07-23 08:17:49 UTC
Hi.

There is a great image viewer called "nomacs". It is great because it has plug-ins that one of them allowing to edit images so that - for simple users - nomacs become better than GIMP (for example adding arrows & shapes currentlyy difficult in GIMP while they are simple with nomacs with plug-ins).

The Fedora package of nomacs does not contain these plug-ins. This currently cause .rpm package from official Fedora repositories download to flatpak package from FlatHub. So, I'm currently enforced to use flatpak version from FlatHub. But - as you know - currently flatpak has many limitations ... Even flatpak package of nomacs in FlatHub is official being created by developer of nomacs himself, but it has issues due to sandbox of flatpak ...

I would like to suggest on you to add those plug-ins to nomacs Fedora package. 

If the cause of not including those plug-ins is(are) licence issue(s), then kindly inform me so that I will open a request for RPMFusion repositories to add them ....

Thank you.

Comment 1 Eugene A. Pivnev 2020-07-23 13:25:51 UTC
Try this: https://koji.fedoraproject.org/koji/taskinfo?taskID=47688939
I will update nomads if ok.

Comment 2 Eugene A. Pivnev 2020-07-23 14:28:03 UTC
Oops, sorry - this will better: https://koji.fedoraproject.org/koji/taskinfo?taskID=47692022

Comment 3 Fedora Update System 2020-08-07 13:30:26 UTC
FEDORA-2020-72acb47866 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-72acb47866

Comment 4 Fedora Update System 2020-08-08 01:21:30 UTC
FEDORA-2020-72acb47866 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-72acb47866`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-72acb47866

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-08-16 01:04:44 UTC
FEDORA-2020-72acb47866 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 yousifjkadom@yahoo.com 2021-01-29 18:51:00 UTC
Hi.

All that time I was on flatpak version of nomacs & did not test this issue again. Just few hrs ago I uninstall flatpak version & install .rpm version from official Fedora repository of my Fedora 32 X64 bit Cinnamon edition. But I was shocked when saw that plugin still NOT INCLUDED !!

Kindly see this issue ! I will re-open it again !

Comment 7 Eugene A. Pivnev 2021-01-29 19:09:19 UTC
https://www.nomacs.org/plugins/how-to-install-plugins/
"Note: Plugins are currently only supported on Windows"

Comment 8 yousifjkadom@yahoo.com 2021-01-29 19:17:40 UTC
How this ?? It should be possible even on Linux ?! It is existing in flatpak package .....

Comment 9 yousifjkadom@yahoo.com 2021-01-29 19:18:17 UTC
Is plugin should be packaged here within Fedora repositories by packager of nomacs or I'm wrong ?

Comment 10 yousifjkadom@yahoo.com 2021-01-29 19:40:43 UTC
Kindly, inform me if there is no plan to add plugins for .rpm package, so that I will remove it & re-install back flatpak version.

Thank you.

Comment 11 Eugene A. Pivnev 2021-01-30 12:48:42 UTC
(In reply to yousifjkadom from comment #10)
> Kindly, inform me if there is no plan to add plugins for .rpm package, so
> that I will remove it & re-install back flatpak version.
> 
> Thank you.

O, sorry, I found - https://github.com/nomacs/nomacs-plugins
Next steps:
- try to build them - together with nomacs or using installed libraries
- decide to pack them with nomacs or in separate rpm[s]
- do that
BTW you can try to be maintainer of it.

Comment 12 yousifjkadom@yahoo.com 2021-01-30 14:13:59 UTC
Unfortunately I'm not programmer nor can learn how to be a packager. I'm living in Iraq where no institutions for learning Linux are available ! I learn myself how to use Linux as a desktop user by the help of Internet & this was taking many months .... But learning how to be a packager this is totally different story ....

I think the best way is to include nomacs plugins within nomacs in sigle unified .rpm package because those plugins give great deal of it's credential of this program.

Comment 13 Fedora Program Management 2021-04-29 16:34:09 UTC
This message is a reminder that Fedora 32 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 32 on 2021-05-25.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '32'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 32 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2021-05-25 16:35:03 UTC
Fedora 32 changed to end-of-life (EOL) status on 2021-05-25. Fedora 32 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.